Recall
POST /api/v1/recall — hybrid vector + keyword + entity search.
Authorization
APIKeyHeader In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
/recall's body: SearchRequest plus the envelope-shape knob.
A subclass rather than another field on SearchRequest because
items_alias means nothing on /search, where items is the
canonical key rather than an alias — putting it there would publish a
no-op field on the busier surface.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/recall" \ -H "Content-Type: application/json" \ -d '{ "query": "string" }'{ "query": "string", "summary": "string", "memory_count": 0, "memories": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tenant_id": "string", "fleet_id": "string", "agent_id": "string", "agent_display_name": "string", "memory_type": "string", "title": "string", "content": "string", "weight": 0, "source_uri": "string", "run_id": "string", "metadata": {}, "system_metadata": {}, "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "entity_links": [], "similarity": 0, "score": 0, "score_parts": { "vec_sim": 0, "fts_score": 0, "freshness": 0, "entity_boost": 0, "recall_boost": 0, "temporal_boost": 0, "status_penalty": 0, "rerank": 0 }, "injected": false, "subject_entity_id": "2f43e1a1-7cec-4ccf-9421-4ab19090ca45", "predicate": "string", "object_value": "string", "ts_valid_start": "2019-08-24T14:15:22Z", "ts_valid_end": "2019-08-24T14:15:22Z", "status": "active", "visibility": "scope_team", "recall_count": 0, "last_recalled_at": "2019-08-24T14:15:22Z", "supersedes_id": "8149cd94-4e90-4a99-91f5-a3e0f9b829dc", "superseded_by": [ { "old_memory_id": "07606bd2-b9bc-468a-8200-790e8b7345cf", "old_status": "string", "reason": "string", "old_content_preview": "string", "direction": "canonical" } ], "confidence": 0, "is_inferred": false, "scope": {}, "usage": { "memories_stored": 0, "memories_limit": 0, "writes_remaining": 0 } } ], "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tenant_id": "string", "fleet_id": "string", "agent_id": "string", "agent_display_name": "string", "memory_type": "string", "title": "string", "content": "string", "weight": 0, "source_uri": "string", "run_id": "string", "metadata": {}, "system_metadata": {}, "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "entity_links": [], "similarity": 0, "score": 0, "score_parts": { "vec_sim": 0, "fts_score": 0, "freshness": 0, "entity_boost": 0, "recall_boost": 0, "temporal_boost": 0, "status_penalty": 0, "rerank": 0 }, "injected": false, "subject_entity_id": "2f43e1a1-7cec-4ccf-9421-4ab19090ca45", "predicate": "string", "object_value": "string", "ts_valid_start": "2019-08-24T14:15:22Z", "ts_valid_end": "2019-08-24T14:15:22Z", "status": "active", "visibility": "scope_team", "recall_count": 0, "last_recalled_at": "2019-08-24T14:15:22Z", "supersedes_id": "8149cd94-4e90-4a99-91f5-a3e0f9b829dc", "superseded_by": [ { "old_memory_id": "07606bd2-b9bc-468a-8200-790e8b7345cf", "old_status": "string", "reason": "string", "old_content_preview": "string", "direction": "canonical" } ], "confidence": 0, "is_inferred": false, "scope": {}, "usage": { "memories_stored": 0, "memories_limit": 0, "writes_remaining": 0 } } ], "recall_ms": 0, "diagnostic": { "recall_prompt": "string", "recall_raw": "string", "recall_model": "string", "recall_provider": "string", "all_candidates": [ null ], "top_k_used": 0, "retrieval_strategy": "string", "search_params": {}, "entity_matches": 0, "entity_match_declined": false }, "warnings": [ { "code": "string", "message": "string", "details": {} } ]}